summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vincent Batts2017-01-19 20:52:19 +0100
committer Willy Sudiarto Raharjo2017-01-21 01:04:33 +0100
commit09274966f0145448d7edba4859b5dd55a9ce19ee (patch)
tree998755e6d108a352b9d1919b1d17bca8e641fa71
parent6eb36ac506615cd1b5ae8f13cc99b529157f6be5 (diff)
downloadslackbuilds-09274966f0145448d7edba4859b5dd55a9ce19ee.tar.gz
system/bubblewrap: Added (unprivileged sandboxing tool).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/bubblewrap/README8
-rw-r--r--system/bubblewrap/bubblewrap.SlackBuild103
-rw-r--r--system/bubblewrap/bubblewrap.info10
-rw-r--r--system/bubblewrap/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/system/bubblewrap/README b/system/bubblewrap/README
new file mode 100644
index 0000000000..279bc9034d
--- /dev/null
+++ b/system/bubblewrap/README
@@ -0,0 +1,8 @@
+Bubblewrap
+
+Many container runtime tools like systemd-nspawn, docker, etc. focus on
+providing infrastructure for system administrators and orchestration tools
+(e.g. Kubernetes) to run containers.
+
+These tools are not suitable to give to unprivileged users, because it is
+trivial to turn such access into to a fully privileged root shell on the host.
diff --git a/system/bubblewrap/bubblewrap.SlackBuild b/system/bubblewrap/bubblewrap.SlackBuild
new file mode 100644
index 0000000000..4d6d29ee64
--- /dev/null
+++ b/system/bubblewrap/bubblewrap.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for bubblewrap
+
+# Copyright 2017 Vincent Batts <vbatts@hashbangbash.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=bubblewrap
+VERSION=${VERSION:-0.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/bubblewrap/bubblewrap.info b/system/bubblewrap/bubblewrap.info
new file mode 100644
index 0000000000..670859bcc2
--- /dev/null
+++ b/system/bubblewrap/bubblewrap.info
@@ -0,0 +1,10 @@
+PRGNAM="bubblewrap"
+VERSION="0.1.7"
+HOMEPAGE="https://github.com/projectatomic/bubblewrap/"
+DOWNLOAD="https://github.com/projectatomic/bubblewrap/releases/download/v0.1.7/bubblewrap-0.1.7.tar.xz"
+MD5SUM="d14e777759e067aa7418cbf27086499d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
diff --git a/system/bubblewrap/slack-desc b/system/bubblewrap/slack-desc
new file mode 100644
index 0000000000..39fd57950b
--- /dev/null
+++ b/system/bubblewrap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bubblewrap: bubblewrap (unprivileged sandboxing tool)
+bubblewrap:
+bubblewrap: Many container runtimes focus on providing infrastructure for
+bubblewrap: system administrators and orchestration tools to run containers.
+bubblewrap:
+bubblewrap: Bubblewrap provides container runtime for unprivileged users, which
+bubblewrap: reduces the surface area for privilege escalation.
+bubblewrap:
+bubblewrap:
+bubblewrap:
+bubblewrap: